/*******************************************************************************
 * FoxCustomizationNode_LowerBody generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomizationNode_LowerBody extends FoxCustomizationNode_BodyGearBase within FoxArmoryUI
    config(UI);

function SetupCustomItemType(out array<UIResourceDataProvider> NewGearArray, bool bReset)
{
    local int I;

    // End:0x38
    if(bReset)
    {
        Outer.CustomItemType = 2;
        ResetSelectedLoadout();
    }
    NewGearArray = Outer.Outer.Outer.UnlockablesDataStore.LowerBodyProviderArray;
    I = 0;
    J0xAA:
    // End:0x127 [Loop If]
    if(I < NewGearArray.Length)
    {
        // End:0x119
        if(FoxDataProvider_Gear_LowerBody(NewGearArray[I]).UnlockID == 0)
        {
            NewGearArray.Remove(I, 1);
            -- I;
        }
        ++ I;
        // [Loop Continue]
        goto J0xAA;
    }
    //return;    
}

function bool IsPurchased(int ItemId)
{
    return FoxServerConnection(Outer.Outer.Outer.PCOwner.WorldInfo.ServerConn).IsLowerBodyPurchased(ItemId, FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo));
    //return ReturnValue;    
}

function NodeEquipButtonClicked(string SelectedIndex)
{
    super(FoxCustomizationNode_GearBase).NodeEquipButtonClicked(SelectedIndex);
    Outer.Outer.ArmoryItemGrid.as_SetSelectedModIndex(Outer.SetModDataForArmor(Outer.CustomItemType), true);
    //return;    
}

defaultproperties
{
    NodeWidgetConfigs(0)=(sLabel="Helmet",SocketName=S_Helmet,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=true,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_Helmet)
    NodeWidgetConfigs(1)=(sLabel="Chest",SocketName=None,BoneName=Back3,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=true,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_UpperBody)
    NodeWidgetConfigs(2)=(sLabel="Legs",SocketName=None,BoneName=hip,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_LowerBody)
    NodeWidgetConfigs(3)=(sLabel="Trophy",SocketName=S_Trophy,BoneName=None,FixedThresholdParam=0.0,bApplyThresholdLerp=true,bInvertAxis=false,WeaponModIndex=EWeaponCustomizationItem.ECI_WeaponSkin,GearIndex=EArmorItem.EAIT_Badge)
}